Package javax.security.auth.message

## Class MessagePolicy

- java.lang.Object
- - javax.security.auth.message.MessagePolicy

-     public class MessagePolicy
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `MessagePolicy.ProtectionPolicy` |
    `static interface` | `MessagePolicy.Target` |
    `static class` | `MessagePolicy.TargetPolicy` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessagePolicy​(MessagePolicy.TargetPolicy[] targetPolicies, boolean mandatory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MessagePolicy.TargetPolicy[]` | `getTargetPolicies()` |
    `boolean` | `isMandatory()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessagePolicy

          public MessagePolicy​(MessagePolicy.TargetPolicy[] targetPolicies,
                               boolean mandatory)

  - ### Method Detail

    - #### isMandatory

          public boolean isMandatory()

    - #### getTargetPolicies

          public MessagePolicy.TargetPolicy[] getTargetPolicies()